RlCraft server unable to add Sponge

I am currently running

  • SpongeForge version: spongeforge-1.12.2-2838-7.1.10.jar
  • Forge version: forge-1.12.2-14.23.5.2838-universal.jar
  • Java version: openjdk version “1.8.0_212”
  • Operating System: Windows 10
  • Modpack: RLCraft V2.8.1

Crash report: https://pastebin.com/7s5c4ue1

The server runs fine with only sponge, and with the modpack without sponge, but as soon as I add it the server is unable to start all the way up. I have renamed the sponge jar file to appear first in the list of mods. I have also edited foamfix to disable the setting that are known to conflict with sponge, as well as trying to remove foamfix from the server all together. In my research I’ve also seen issues with sponge and phosphor so I tried to remove that from the server as well with no help. Sadly nothing has worked for me yet. Thank you in advance for your advice!

I believe you also need to remove multimine iirc

I tried removing multimine entirely from my server, but that didn’t seem to fix it. I still get the same crash report

Oh, you also need to remove phosphor if I recall.

That was one of the first mods I tried removing, and that hasn’t been the issue. so far I’ve removed Foamfix, Phosphor and Multimine and the server still crashes on start up. I’d love to keep the modpack as original as I can, so I don’t want to remove more mods than I have to.

Could you post a link to the logs/debug.log file? That might have some extra information that could help diagnose the problem.

Debug.log: https://gist.githubusercontent.com/Tbear000/a614380e09da0193fa06fb4ada79bfdc/raw/aca22808f6afb821f0c93d7ac2691b29cbb7f352/gistfile1.txt

Thank you for taking the time to help!

So I’ve managed to get a server to run with the 7.1.8 version of sponge. Not sure why the newer 2 version cause the issue.